#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
require 'gtk_paradise/require_gtk2'
require 'colours/colours_e_autoinclude.rb'

include Gtk::BaseModule
e
e 'Testing Gtk::Notebook next:'
e

label1 = gtk_label('Hello')
label2 = gtk_label('world')
label3 = gtk_label('how do you do?')
label3.make_bold

r = Gtk.run(width: 800, height: 500)
r.padding = 8

# =========================================================================== #
# Add four notebook pages next:
# =========================================================================== #
notebook = Gtk.add_reorderable_notebook(
  label1, label2, label3, Gtk::Button.new('Test-Button')
)
r << notebook
r.determine_width_and_height
r.top_left_then_show_then_run